<style>
  .padded-container {
    padding: 16px;
  }
  .message-title {
    font-size: 20px;
    font-family: open_sans_bold;
    font-weight: 800;
    line-height: 22px;
  }
  .message-body {
    font-size: 14px;
    font-family: open_sans;
    font-weight: 400;
    line-height: 24px;
    white-space: pre-line;
  }
  .primary-button {
    padding: 0;
    font-size: 16px;
  }
</style>

<div class="padded-container">
  <h2 class="message-title">Your request has been submitted!</h2>
  <p class="message-body">If the email you submitted is associated with a Hut Rewards account, we'll email you instructions for resetting your password.</p>
  <a class="primary-button" href="{{ base_path }}/login?client_id={{client_id}}">{{ t "Back to Sign In" }}</a>
</div>

<script>
    if (window.parent) {
        window.parent.postMessage({ type: "idp-forgot-password-confirmation" }, "*")
    }
</script>